| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | Static Public Member Functions | List of all members
Ogre::GLRTTManager Class Referenceabstract

Manager/factory for RenderTextures. More...

`#include <OgreGLRenderTexture.h>`

Inheritance diagram for Ogre::GLRTTManager:
[legend]

## Public Member Functions
| GLRTTManager ()
virtual | ~GLRTTManager ()
virtual void | bind (RenderTarget *target)=0
| Bind a certain render target. More...
bool | checkFormat (PixelFormat format)
| Check if a certain format is usable as FBO rendertarget format. More...
virtual MultiRenderTarget * | createMultiRenderTarget (const String &name)
| Create a multi render target. More...
virtual RenderTexture * | createRenderTexture (const String &name, const GLSurfaceDesc &target, bool writeGamma, uint fsaa)=0
| Create a texture rendertarget object. More...
virtual void | getBestDepthStencil (PixelFormat internalFormat, uint32 *depthFormat, uint32 *stencilFormat)
PixelFormat | getSupportedAlternative (PixelFormat format)
| Get the closest supported alternative format. More...
void | releaseRenderBuffer (const GLSurfaceDesc &surface)
| Release a render buffer. More...
virtual void | unbind (RenderTarget *target)=0
| Unbind a certain render target. More...

## Static Public Member Functions
static GLRTTManager & | getSingleton (void)
| Get the singleton instance. More...
static GLRTTManager * | getSingletonPtr (void)
| Get the singleton instance. More...

## Detailed Description

Manager/factory for RenderTextures.

## Constructor & Destructor Documentation

## ◆ GLRTTManager()

Ogre::GLRTTManager::GLRTTManager | ( |  | ) |

## ◆ ~GLRTTManager()

virtual Ogre::GLRTTManager::~GLRTTManager | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ createRenderTexture()

virtual RenderTexture* Ogre::GLRTTManager::createRenderTexture | ( | const String & | name,
|  | const GLSurfaceDesc & | target,
|  | bool | writeGamma,
|  | uint | fsaa
| ) |  |
| pure virtual

Create a texture rendertarget object.

Implemented in Ogre::GLES2FBOManager, Ogre::GLFBOManager, Ogre::GL3PlusFBOManager, Ogre::GLPBRTTManager, and Ogre::GLCopyingRTTManager.

## ◆ releaseRenderBuffer()

void Ogre::GLRTTManager::releaseRenderBuffer | ( | const GLSurfaceDesc & | surface | ) |

Release a render buffer.

Ignore silently if surface.buffer is 0.

## ◆ checkFormat()

bool Ogre::GLRTTManager::checkFormat | ( | PixelFormat | format | ) |
| inline

Check if a certain format is usable as FBO rendertarget format.

## ◆ bind()

virtual void Ogre::GLRTTManager::bind | ( | RenderTarget * | target | ) |
| pure virtual

Bind a certain render target.

Implemented in Ogre::GLES2FBOManager, Ogre::GLFBOManager, Ogre::GL3PlusFBOManager, Ogre::GLPBRTTManager, and Ogre::GLCopyingRTTManager.

## ◆ unbind()

virtual void Ogre::GLRTTManager::unbind | ( | RenderTarget * | target | ) |
| pure virtual

Unbind a certain render target.

This is called before binding another RenderTarget, and before the context is switched. It can be used to do a copy, or just be a noop if direct binding is used.

Implemented in Ogre::GLES2FBOManager, Ogre::GLFBOManager, Ogre::GL3PlusFBOManager, Ogre::GLPBRTTManager, and Ogre::GLCopyingRTTManager.

## ◆ getBestDepthStencil()

virtual void Ogre::GLRTTManager::getBestDepthStencil | ( | PixelFormat | internalFormat,
|  | uint32 * | depthFormat,
|  | uint32 * | stencilFormat
| ) |  |
| inline virtual

Reimplemented in Ogre::GLES2FBOManager.

## ◆ createMultiRenderTarget()

virtual MultiRenderTarget* Ogre::GLRTTManager::createMultiRenderTarget | ( | const String & | name | ) |
| virtual

Create a multi render target.

Reimplemented in Ogre::GLES2FBOManager, Ogre::GLFBOManager, and Ogre::GL3PlusFBOManager.

## ◆ getSupportedAlternative()

PixelFormat Ogre::GLRTTManager::getSupportedAlternative | ( | PixelFormat | format | ) |

Get the closest supported alternative format.

If format is supported, returns format.

## ◆ getSingleton()

static GLRTTManager& Ogre::GLRTTManager::getSingleton | ( | void |  | ) |
| static

Get the singleton instance.

## ◆ getSingletonPtr()

static GLRTTManager* Ogre::GLRTTManager::getSingletonPtr | ( | void |  | ) |
| static

Get the singleton instance.

The documentation for this class was generated from the following file:

- OgreGLRenderTexture.h